osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[nova][keystone][neutron][kuryr][requirements] breaking tests with new library versions


On Thu, 2019-08-22 at 08:17 -0500, Matthew Thode wrote:
> On 19-08-22 09:53:30, MichaÅ? Dulko wrote:
> > On Sun, 2019-08-18 at 11:16 -0500, Matthew Thode wrote:
> > > NOVA:
> > > lxml===4.4.1        nova tests fail https://bugs.launchpad.net/nova/+bug/1838666
> > > websockify===0.9.0  tempest test failing
> > > 
> > > KEYSTONE:
> > > oauthlib===3.1.0    keystone https://bugs.launchpad.net/keystone/+bug/1839393
> > > 
> > > NEUTRON:
> > > tenacity===5.1.1    https://2c976b5e9e9a7bed9985-82d79a041e998664bd1d0bc4b6e78332.ssl.cf2.rackcdn.com/677052/5/check/cross-neutron-py27/a0a3c75/testr_results.html.gz
> > >                     this could be caused by pytest===5.1.0 as well
> > > 
> > > KURYR:
> > > kubernetes===10.0.1 openshift PINS this, only kuryr-tempest-plugin deps on it
> > >                     https://review.opendev.org/665352
> > 
> > Alright, I tested and fixed the commit above and I should be able to
> > get it merged today. Thanks for following up on this.
> > 
> 
> Yep, saw it merge.  Now all it needs is a release so the version on pypy
> / upper-constraints does not hold back the version of kubernetes.

Alright, let's see how my release commit [1] will work then.

[1] https://review.opendev.org/#/c/678542/

> > > MISC:
> > > tornado===5.1.1     salt is cauing this, no eta on fix (same as the last year)
> > > stestr===2.5.0      needs merged https://github.com/mtreinish/stestr/pull/265
> > > jsonschema===3.0.2  see https://review.opendev.org/649789
> > > 
> > > I'm trying to get this in place as we are getting closer to the
> > > requirements freeze (sept 9th-13th).  Any help clearing up these bugs
> > > would be appreciated.
> > >